package fabrik.simulator.pic16f84.interfaces;

import fabrik.simulator.pic16f84.frontendspecifics.FrontendSpecificObject;
import fabrik.simulator.pic16f84.frontendspecifics.FrontendSpecificToggleButtonGroup;

public interface FrontendControllerInterface extends PICComponentInterface, FrontendSpecificObject {

    FrontendSpecificToggleButtonGroup[] getPORTbuttons();

    FrontendSpecificToggleButtonGroup[] getTRISbuttons();

    void stopRunFromBackend(String watchdogTimer);
}
